## org.apache.http.nio.protocol
Class NHttpHandlerBase

    java.lang.Object
      org.apache.http.nio.protocol.NHttpHandlerBase

Direct Known Subclasses:
  AsyncNHttpClientHandler, AsyncNHttpServiceHandler, ThrottlingHttpClientHandler, ThrottlingHttpServiceHandler

Deprecated. (4.2) do not use

    @Deprecated
    @Immutable
    public abstract class NHttpHandlerBase

extends Object

Since:
  4.0

Field Summary
`protected ByteBufferAllocator` `allocator` Deprecated.
`protected static String` `CONN_STATE` Deprecated.
`protected ConnectionReuseStrategy` `connStrategy` Deprecated.
`protected EventListener` `eventListener` Deprecated.
`protected HttpProcessor` `httpProcessor` Deprecated.
`protected HttpParams` `params` Deprecated.

Constructor Summary
`NHttpHandlerBase(HttpProcessor httpProcessor, ConnectionReuseStrategy connStrategy, ByteBufferAllocator allocator, HttpParams params)` Deprecated.

Method Summary
`protected boolean` `canResponseHaveBody(HttpRequest request, HttpResponse response)` Deprecated.
`protected void` `closeConnection(NHttpConnection conn, Throwable cause)` Deprecated.
`HttpParams` `getParams()` Deprecated.
`protected void` `handleTimeout(NHttpConnection conn)` Deprecated.
`void` `setEventListener(EventListener eventListener)` Deprecated.
`protected void` `shutdownConnection(NHttpConnection conn, Throwable cause)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONN_STATE

    protected static final String CONN_STATE

  Deprecated.
  See Also:
    Constant Field Values

### httpProcessor

    protected final HttpProcessor httpProcessor

  Deprecated.

### connStrategy

    protected final ConnectionReuseStrategy connStrategy

  Deprecated.

### allocator

    protected final ByteBufferAllocator allocator

  Deprecated.

### params

    protected final HttpParams params

  Deprecated.

### eventListener

    protected EventListener eventListener

  Deprecated.

Constructor Detail

### NHttpHandlerBase

    public NHttpHandlerBase(HttpProcessor httpProcessor,
                            ConnectionReuseStrategy connStrategy,
                            ByteBufferAllocator allocator,
                            HttpParams params)

  Deprecated.

Method Detail

### getParams

    public HttpParams getParams()

  Deprecated.

### setEventListener

    public void setEventListener(EventListener eventListener)

  Deprecated.

### closeConnection

    protected void closeConnection(NHttpConnection conn,
                                   Throwable cause)

  Deprecated.

### shutdownConnection

    protected void shutdownConnection(NHttpConnection conn,
                                      Throwable cause)

  Deprecated.

### handleTimeout

    protected void handleTimeout(NHttpConnection conn)

  Deprecated.

### canResponseHaveBody

    protected boolean canResponseHaveBody(HttpRequest request,
                                          HttpResponse response)

  Deprecated.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.